VMs
Get a VM
Read a machine and its most recent execution.
TypeScript SDKThe npm client, generated from the API spec.Python SDKThe PyPI client, sync and async.
| Method | Path | Required permissions |
|---|---|---|
| GET | /v1/vms/{vm_id} | read:environments |
Token access
- API key
- Supported.
- CLI user token
- Supported.
- Sandbox token
- Requires the ellipsis:api scope and the required grants in the token's permissions.ellipsis configuration. Only the token's own VM.
Higher permission levels include lower levels: read < write < delete.
The VM ID remains the same when a session resumes on that machine.
Path parameters
vm_idstringrequired
curl "https://api.ellipsis.dev/v1/vms/{vm_id}" \
-H "Authorization: Bearer $ELLIPSIS_API_TOKEN"import os
from ellipsis import Ellipsis
client = Ellipsis(api_key=os.environ["ELLIPSIS_API_TOKEN"])
result = client.vms.get("...")
print(result)import { Ellipsis } from '@ellipsis-dev/sdk';
const client = new Ellipsis({
apiKey: process.env.ELLIPSIS_API_TOKEN!,
});
const result = await client.vms.get('...');
console.log(result);Request
Response
Example response, 200
{
"id": "string",
"status": "starting"
}